<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from builder.texi on 28 April 1999 -->

<TITLE>The Builder Library - Types</TITLE>
<link href="builder_6.html" rel=Next>
<link href="builder_4.html" rel=Previous>
<link href="builder_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_4.html">previous</A>, <A HREF="builder_6.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC12" HREF="builder_toc.html#TOC12">Types</A></H1>
<P>
<A NAME="IDX10"></A>
<A NAME="IDX11"></A>
<A NAME="IDX12"></A>
<A NAME="IDX13"></A>

</P>
<P>
The SUIF compiler supports a full type system.  Thus, when
modifying SUIF, it may be necessary to create or change the types. 

</P>

<UL>
<LI><A HREF="builder_6.html#SEC13">Type Creation</A>: How to create types
<LI><A HREF="builder_7.html#SEC14">The Syntax of Type Strings</A>: How to parse type definitions
<LI><A HREF="builder_8.html#SEC21">Type Examples</A>: Examples of type usage
<LI><A HREF="builder_9.html#SEC24">Type Grammar</A>: The full grammar for type specification
</UL>

<P><HR><P>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_4.html">previous</A>, <A HREF="builder_6.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
</BODY>
</HTML>
